Jack2: Jack::JackNetExtMaster Struct Reference

Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::JackNetExtMaster Struct Reference
Inheritance diagram for Jack::JackNetExtMaster:

## Public Member Functions
| JackNetExtMaster (const char *ip, int port, jack_master_t *request)
int | Open (jack_slave_t *result)
int | InitMaster (jack_slave_t *result)
int | Close ()
void | UseRingBuffer (int audio_input, float **audio_input_buffer, int write, int read)
int | Read (int audio_input, float **audio_input_buffer, int midi_input, void **midi_input_buffer, int frames)
int | Write (int audio_output, float **audio_output_buffer, int midi_output, void **midi_output_buffer, int frames)
void | EncodeTransportData ()
void | DecodeTransportData ()
Public Member Functions inherited from Jack::JackNetMasterInterface
| JackNetMasterInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)
Public Member Functions inherited from Jack::JackNetInterface
| JackNetInterface (const char *multicast_ip, int port)
| JackNetInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)

## Public Attributes
jack_master_t | fRequest
JackRingBuffer ** | fRingBuffer

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackNetMasterInterface
bool | Init ()
bool | SetParams ()
void | Exit ()
int | SyncRecv ()
int | SyncSend ()
int | DataRecv ()
int | DataSend ()
void | EncodeSyncPacket (int frames=-1)
void | DecodeSyncPacket (int &frames)
int | Send (size_t size, int flags)
int | Recv (size_t size, int flags)
void | FatalRecvError ()
void | FatalSendError ()
Protected Member Functions inherited from Jack::JackNetInterface
void | Initialize ()
int | SetNetBufferSize ()
void | FreeNetworkBuffers ()
int | MidiSend (NetMidiBuffer *buffer, int midi_channnels, int audio_channels)
int | AudioSend (NetAudioBuffer *buffer, int audio_channels)
int | MidiRecv (packet_header_t *rx_head, NetMidiBuffer *buffer, uint &recvd_midi_pckt)
int | AudioRecv (packet_header_t *rx_head, NetAudioBuffer *buffer)
int | FinishRecv (NetAudioBuffer *buffer)
void | SetRcvTimeOut ()
void | SetPacketTimeOut (int time_out)
NetAudioBuffer * | AudioBufferFactory (int nports, char *buffer)
Protected Attributes inherited from Jack::JackNetMasterInterface
bool | fRunning
int | fCurrentCycleOffset
int | fMaxCycleOffset
bool | fSynched
Protected Attributes inherited from Jack::JackNetInterface
bool | fSetTimeOut
int | fPacketTimeOut
session_params_t | fParams
JackNetSocket | fSocket
char | fMulticastIP [32]
packet_header_t | fTxHeader
packet_header_t | fRxHeader
net_transport_data_t | fSendTransportData
net_transport_data_t | fReturnTransportData
char * | fTxBuffer
char * | fRxBuffer
char * | fTxData
char * | fRxData
NetMidiBuffer * | fNetMidiCaptureBuffer
NetMidiBuffer * | fNetMidiPlaybackBuffer
NetAudioBuffer * | fNetAudioCaptureBuffer
NetAudioBuffer * | fNetAudioPlaybackBuffer

## Detailed Description

Definition at line 148 of file JackNetAPI.cpp.

## Member Function Documentation

## ◆ InitMaster()

int Jack::JackNetExtMaster::InitMaster | ( | jack_slave_t * | result | ) |
| inline

Network init

Definition at line 298 of file JackNetAPI.cpp.

The documentation for this struct was generated from the following file:

- JackNetAPI.cpp